import { $, component$, Slot, useOnDocument } from '@builder.io/qwik';
import AOS from 'aos';
import 'aos/dist/aos.css';

export default component$(() => {
	useOnDocument("DOMContentLoaded", $(() => {
		AOS.init({
			once: true,
			duration: 1000,
			offset: 100,
			easing: 'ease-in-out',
		});
	}))

	return (
		<div
		class="
			flex flex-col
			min-h-screen w-full overflow-x-clip
			bg-neutral-950 text-white
		">
			<Slot />
		</div>
	);
}); 